{% load static %}
{% load site_configs_tags %}
{% load is_current_page from navigation %}

{% get_configs 'common.Contacts' as contacts %}

<header class="header">
    <div class="header-overlay"></div>
    <div class="container header-container">
        <div class="header__top">
            <div class="header__schedule">
                <img src="{% static 'img/icons/24px/time.svg' %}" alt="">
                <span>пн-сб 10:00 - 20:00</span>
            </div>
            <div class="header__menu">
                <a href="{% url 'delivery' %}">Доставка и оплата</a>
                <a href="{% url 'about' %}">О компании</a>
                <a href="{% url 'articles' %}">Блог</a>
                <a href="{% url 'contacts' %}">Контакты</a>
            </div>
            <div class="header__callback">
                    <a href="tel:+74952972797" class="header__phone">+7 (495) 297 27 97</a>
                    <a href="#" class="header__callback__btn popup-open" data-toggle="modal"  data-modal="modal_callback">Перезвоним</a>
            </div>
        </div>

        <div class="header__main">
            <div id="mobile-menu-btn">
                <img src={% static "img/icons/menu/default.svg" %} class="img-svg" alt="">

            </div>
            <a href="{% url 'promotions:home' %}" class="header__logo">
                <img class="logo-lg" src="{% static 'img/logos/LogoAnddescriptor.png' %}"  alt="addwine">
                <img class="logo-xs" src="{% static 'img/logos/addwine.png' %}" alt="addwine">
            </a>
            <div id="time-search" class="header__navigation">
                <div class="header__catalog__btn">
                    Каталог
                    <img src=" {% static 'img/icons/menu/default.svg' %}" class="img-svg open-btn" alt="">
                    <img src="{% static 'img/icons/menu/close-bold.svg' %}" class="img-svg close-btn" alt="">
                    <div class="catalog-menu">
                        <div class="catalog-title-overlay"></div>
                        <div class="catalog-full-overlay"></div>
                        <div class="catalog-menu-overlay"></div>
                        <div class="container">
                            <div class="d-flex">
                                {% for cat in menu.catalogue.categories %}
                                    <div class="catalog-menu__item {% if forloop.first %} catalog__first {% endif %}">
                                        <a href="{{ cat.get_absolute_url }}" class="catalog-menu__title">{{ cat.name }}</a>
                                            {% if cat.has_children %}
                                            <ul>
                                                {% for cat in cat.get_active_children %}
                                                <li>
                                                    <a href="{{ cat.get_absolute_url }}">{{ cat.name }}</a>
                                                </li>
                                                {% endfor %}
                                            </ul>
                                            {% endif %}
                                    </div>

                                {% endfor %}
                            </div>
                        </div>
                    </div>
                </div>

                <div class="header__search" :class="{ active: searchActive }">
        					<input
                                v-model="text"
                                type="text"
                                placeholder="Я хочу купить…"
                                class="header__search__input"
                                value="{{ searchActive }}"
                                @keyup="searchByText()"
                                @keyup.enter="toSearchResult">
        					<button type="submit" class="header__search__btn">
        						<img src=" {% static 'img/icons/24px/search.svg' %}" class="loop-btn" alt="">
        						<img src=" {% static 'img/icons/24px/send.svg' %}" class="send-btn img-svg" alt="">
        					</button>
        					<div id="search-list" class="active-list">

        						<div class="search-list__box loading">
        							<div v-if="searchActive && resultIsFetched && noresult" class="results-list no-result">
                                        <span>Нет результатов по запросу</span>
                                    </div>
                                    <div v-if="searchActive && !resultIsFetched" style="display:block" class="loading__overlay"></div>
                                    <div v-for="(item, i) in results" v-if="i < 10" class="search-list__box__track">
                                        <a :href="item.url" class="search-item" @click="sendData">
        									<img :src="item.thumbnail_url" alt="" class="search-item__img">
        									<span class="search-item__name" v-html="item.highlighted"></span>
        									<span class="search-item__price">[[ item.price.toFixed() ]] <img src={% static "img/icons/price.svg" %} class="currency" alt="рублей"></span>
        								</a>
        							</div>

        						</div>
        						<div class="search-list__info">
        							<span>Найдено результатов: [[results.length]]</span>
        							<a href="#" class="search-list__info__link" v-if="results.length > 1" @click="toSearchResult">Показать все</a>
        						</div>
        					</div>
        				</div>

                {% if not hide_small_basket %}
                    {% include 'basket/partials/basket_quick.html' %}
                {% endif %}
            </div>
        </div>

    </div>
</header>